# List repositories bound to a recommendation

Source: https://docs.levelfour.ai/api-reference/repo-binding/get-repo-binding-recommendations-by-id-targets


## GET /api/v1/repo-binding/recommendations/{recommendation_id}/targets

### Authentication

Send `Authorization: Bearer <token>`.

### Parameters

- `recommendation_id` (path, string, required)

### Responses

#### 200: Successful Response

- `success` (boolean, default `true`)
- `timestamp` (date-time string)
- `data` (object, required)
  - `recommendation_id` (string, required)
  - `items` (array of object, required)
    - `repo_full_name` (string, required): Full name (owner/name) of the bound repository
    - `installation_id` (integer, required): GitHub App installation id for this repository
    - `pr_url` (string, nullable)
    - `pr_number` (integer, nullable)
    - `pr_status` (string, nullable)
    - `opened_at` (date-time string, nullable)
    - `error_message` (string, nullable)

#### Errors

- `400`: Bad Request
- `401`: Authentication Error
- `403`: Authorization Error
- `404`: Not Found
- `409`: Conflict
- `422`: Validation Error
- `429`: Rate Limit Exceeded
- `500`: Internal Server Error

Body of `400`, `401`, `403`, `404`, `409`, `422`, `429`, `500`:

- `success` (`false`, required)
- `error` (object, required)
  - `code` (string, required)
  - `message` (string, required)
  - `details` (any)
- `timestamp` (date-time string, required)
